
[project]
name = "kisters.network_store.model_library"
description = "Model Library Base for the Kisters Network Store"
readme = "README.md"
authors = [
    { name = "Jesse VanderWees", email = "jesse.vanderwees@kisters-bv.nl" },
]
classifiers = [
    "Development Status :: 3 - Alpha",
    "Intended Audience :: Developers",
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: GNU Lesser General Public License v2 or later (LGPLv2+)",
    "Operating System :: OS Independent",
]
dependencies = ["pydantic>=2"]
requires-python = ">=3.9"
dynamic = ["version"]

[project.urls]
Homepage = "https://gitlab.com/kisters/network-store/model-library-water"

[project.optional-dependencies]
test = ["pytest"]
mypy = ["kisters.network_store.model_library[test]", "mypy"]


[build-system]
requires = ["setuptools>=61", "wheel", "setuptools_scm>=6.2"]

[tool.setuptools_scm]
# equivalent to use_scm_version = True

[tool.setuptools]
license-files = []

[tool.setuptools.packages]
find = { namespaces = true, include = ["kisters.*"] }


[tool.ruff.lint]
select = [
    "ASYNC", # flake8-async 
    "B",     # flake8-bugbear
    "C4",    # flake8-comprehensions
    "DTZ",   # flake8-datetimez 
    "E",     # pycodestyle errors
    "EM",    # flake8-errmsg
    "F",     # pyflakes
    "G",     # flake8-logging-format
    "I",     # isort
    "NPY",   # NumPy
    "RET",   # flake8-return
    "SIM",   # flake8-simplify
    "W",     # pycodestyle warnings
]
ignore = [
    "E501", # line too long, handled by formatter
]

[tool.pytest.ini_options]
addopts = "-vx --lf"
python_classes = ""


[tool.pyright]
exclude = [".venv"]
venvPath = "."
venv = ".venv"
root = ["kisters"]
include = ["kisters", "tests"]

# useLibraryCodeForTypes = true

# strict = ["kisters"]
typeCheckingMode = "standard"

# reportMissingImports = "information"
# reportMissingTypeStubs = "information"
# reportUnknownMemberType = "information"
